import { LazyIterable } from './shared-types';
export declare function batch<T>(size: number): (data: LazyIterable<T>) => {
    [Symbol.asyncIterator](): AsyncGenerator<any, void, unknown>;
} | {
    [Symbol.iterator](): Generator<any, void, unknown>;
} | undefined;
